--
-- cleanSeeder
--
-- upsideDown
-- 10.01.2014
-- 
--



cleanSeeder = {};
local cleanSeeder_directory = g_currentModDirectory;

function cleanSeeder.prerequisitesPresent(specializations)
	return true;
end;

function cleanSeeder:load(xmlFile)
end;

function cleanSeeder:postLoad(xmlFile)
		local removeList = {};
		--print("cleanSeeder installed");
		if self.seeds ~= nil then
			for index,seed in pairs(self.seeds) do
				local desc = FruitUtil.fruitIndexToDesc[seed];
				--print(desc.name)
			
				local keep = false;
				for fruitType,entry in pairs(g_currentMission.fruits) do
					if fruitType == seed then
						keep = true;
					end;
				end;
				--print(keep)
				if not keep then
					table.insert(removeList,index);
					--print("remove: ",desc.name)
				end;
			end;
			
			local N = table.getn(removeList);
			if N > 0 then
				print("seedCleaner: "..tostring(N).." fruits removed that are not installed on current map")
			for k=N,1,-1 do
				table.remove(self.seeds,removeList[k]);
			end;
			
			removeList={};
			

			local nSeeds = table.getn(self.seeds);
			
			for index,seed in pairs(self.seeds) do
				if index == nSeeds then
					break;
				end;
				for k=index+1,nSeeds,1 do
					local seed2 = self.seeds[k];
					if seed2 == seed then
						table.insert(removeList,k);
						--print("removed double entry");
					end
				end;
			end;
			
			local N = table.getn(removeList);
			if N > 0 then
				print("seedCleaner: "..tostring(N).." multiple entries removed");
			end;
			for k=N,1,-1 do
				table.remove(self.seeds,removeList[k]);
			end;
		end;
	end;
end;

function cleanSeeder:delete()
end;

function cleanSeeder:mouseEvent(posX, posY, isDown, isUp, button)
end;

function cleanSeeder:keyEvent(unicode, sym, modifier, isDown)
end;

function cleanSeeder:update(dt)
--print("meep")
end;

function cleanSeeder:updateTick(dt)
--print("meep meep")
end;

function cleanSeeder:postUpdate(dt)
	--print("postUpdate works")
	
end;

function cleanSeeder:readStream(streamId, connection)
	
end;

function cleanSeeder:writeStream(streamId, connection)
	
	
	
end;

function cleanSeeder:draw()

end;


